#!/bin/sh

# Copyright -- GPL
# This code modifies the files
# /etc/passwd, /etc/inetd.conf, /etc/services, /etc/aliases, /etc/inittab
# adds a new user fax

# 	$Id: hylasetup.sh,v 1.2 1998/05/26 00:09:38 darren Exp darren $	
# Originally written by Ramana Juvvadi <juvvadi@lekha.org> now maintained
# by Darren Nickerson <darren@info.tpc.int>

UUCPUID=`id -u uucp`
UUCPGID=`id -g uucp`

logger checking for the existence of user fax

if  ( id -u fax >& /dev/null ) then
	logger            user fax already exists
else
	logger creating user fax
	echo fax:*:$UUCPUID:$UUCPGID:Fax Master:/home/fax/:/bin/bash >> /etc/passwd
	mkdir /home/fax
	chmod 2775 /home/fax
	cp -a /etc/skel/.??*  /etc/skel/* /home/fax >& /dev/null
	chown -R uucp.uucp /home/fax
	touch /var/spool/mail/fax
	chown uucp.mail /var/spool/mail/fax
fi



logger checking for hylafax entry in /etc/services
if ( grep ^[:space:]*hylafax /etc/services > /dev/null ) then
	logger  hylafax entry already exists

else
	logger adding hylafax entry to /etc/services
	echo 'hylafax 4559/tcp # HylaFAX client-server protocol' >> /etc/services


fi

logger checking for the snpp entry in /etc/sevices
if ( grep ^[:space:]*snpp /etc/services > /dev/null ) then

	logger  snpp entry already exists

else
	logger adding hylafax entry to /etc/services
	echo 'snpp    444/tcp         # Simple Network Paging Protocol' >> /etc/services
fi

logger checking for the fax entry in /etc/sevices
if ( grep ^[:space:]*fax /etc/services > /dev/null ) then

	logger  fax entry already exists

else
	logger adding fax entry to /etc/services
	echo 'fax    4557/tcp         # Old Flexfax client-server protocol' >> /etc/services
fi


logger checking for entry FaxMaster in /etc/aliases
if ( grep ^[:space:]*FaxMaster /etc/aliases > /dev/null ) then

	logger  FaxMaster entry already exists
else
	logger adding FaxMaster entry to /etc/aliases
	echo 'FaxMaster:         root' >> /etc/aliases
	newaliases
fi

echo Make sure that you run faxsetup before trying to use hylafax.
echo For documentation specific to RPM look at /usr/doc/hylafax-*/README.rpm












